Loading...
Searching...
No Matches
Opm::CubeGridVanguard< TypeTag > Class Template Reference

Provides a simulator vanguad which creates a regular grid made of quadrilaterals. More...

`#include <cubegridvanguard.hh>`

Inheritance diagram for Opm::CubeGridVanguard< TypeTag >:

## Public Member Functions

| CubeGridVanguard (Simulator &simulator)
| Create the grid.
Grid & | grid ()
| Returns a reference to the grid.
const Grid & | grid () const
| Returns a reference to the grid.
Public Member Functions inherited from Opm::BaseVanguard< TypeTag >
| BaseVanguard (Simulator &simulator)
| BaseVanguard (const BaseVanguard &)=delete
const GridView & | gridView () const
| Returns a reference to the grid view to be used.
int | gridSequenceNumber () const
| Returns the number of times the grid has been changed since its creation.
void | loadBalance ()
| Distribute the grid (and attached data) over all processes.
void | addLgrs ()
| Add LGRs to the grid, if any.

## Static Public Member Functions

static void | registerParameters ()
| Register all run-time parameters for the simulator vanguad.

## Protected Attributes

GridPointer | cubeGrid_

## Additional Inherited Members

Protected Member Functions inherited from Opm::BaseVanguard< TypeTag >
void | finalizeInit_ ()
void | updateGridView_ ()

## Detailed Description

template<class TypeTag>
class Opm::CubeGridVanguard< TypeTag >

Provides a simulator vanguad which creates a regular grid made of quadrilaterals.

A quadrilateral is a line segment in 1D, a rectangle in 2D and a cube in 3D.

The documentation for this class was generated from the following file:

- opm/models/io/cubegridvanguard.hh